Name: ca_GILDA-CA-2011
Version: 1.45
Release: 1
Source: ca_GILDA-CA-2011-1.45.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_GILDA-CA-2011-1.45/885cc27c.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for  unaccredited authority GILDA-CA-2011

%if %([ -n "https://gilda-security.ct.infn.it/CA/" ] && echo 1 || echo 0)
URL: https://gilda-security.ct.infn.it/CA/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%prep
%setup -n ca_GILDA-CA-2011-1.45

%description
This is the trust anchor for the  unaccredited authority GILDA-CA-2011.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

